Subject: bug#42966: 28.0.50; vc-dir: wrong backend

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 26 Oct 2020 22:58:46 +0100

Glenn Morris <[email-masked]> writes:

> Indeed, it just seems like the Right Thing to Do, not a hack.
> Not having been paying attention, I was surprised to see the adopted solution
> goes for "loop over every VC backend, and every directory up the tree,
> then filter the results", rather than "walk up the directory tree,
> stopping when a backend claims responsibility".

That would be the natural thing to do, but would be an incompatible
interface change.  (Only important for out-of-tree backends, though.)

And it would require tweaking a handful of the in-tree backends; see the
overview I posted the other week, but it didn't look complicated.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no